package com.qmth.sop.business.entity;

import com.qmth.sop.common.base.BaseEntity;
import com.qmth.sop.common.contant.SystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 学校表
 * </p>
 *
 * @author wangliang
 * @since 2023-08-07
 */
@ApiModel(value = "BasicSchool对象", description = "学校表")
public class BasicSchool extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校编码")
    private String code;

    @ApiModelProperty(value = "域名")
    private String domainName;

    @ApiModelProperty(value = "学校名称")
    private String name;

    @ApiModelProperty(value = "是否启用，false：停用，true：启用")
    private Boolean enable;

    @ApiModelProperty(value = "访问key")
    private String accessKey;

    @ApiModelProperty(value = "访问秘钥")
    private String accessSecret;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "学校logo")
    private String logo;


    public BasicSchool() {

    }

    public BasicSchool(Long id, String code, String name, String accessKey, String accessSecret) {
        this.code = code;
        this.domainName = code;
        this.name = name;
        this.accessKey = accessKey;
        this.accessSecret = accessSecret;
        setId(id);
        this.enable = true;
    }

    public BasicSchool(String code, String name, String accessKey, String accessSecret, String logo) {
        this.code = code;
        this.domainName = code;
        this.name = name;
        this.accessKey = accessKey;
        this.accessSecret = accessSecret;
        this.logo = logo;
        setId(SystemConstant.getDbUuid());
        this.enable = true;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }
}
